public class CommandsHandler {
    private Monitor mon;

    public CommandsHandler(Monitor mon) {
        this.mon = mon;
    }

    // (1+2)
    public void configureParameter(byte type, short interval, short aboveThr, short belowThr) {
        mon.addParam(type, interval, aboveThr, belowThr);
    }

    // 2.B.a.
    public short[] getParams(byte[] types) {
        short[] values = new short[types.length];

        for (int i = 0; i < types.length; i++) {
            values[i] = mon.getValue(types[i]);
        }

        return values;
    }
}


//~ Formatted by Jindent --- http://www.jindent.com
