
public class Parameter {

    private short aboveThr;
    private short belowThr;
    private Report rep;
    private EventsHandler reportHandler;
    private byte type;
    private short value;

    public Parameter(byte type, short aboveThr, short belowThr, EventsHandler ev) {
        this.type = type;
        this.aboveThr = aboveThr;
        this.belowThr = belowThr;
        reportHandler = ev;
        System.out.println("Parameter cu type " + type +
                " cu aboveThr " + aboveThr + " cu belowThr " + belowThr);
    }

    public void setAboveThr(short val) {
        this.aboveThr = val;
    }

    public void setBelowThr(short val) {
        this.belowThr = val;
    }

    public void setValue(short val) {
        this.value = val;
    }

    // 3.B.b.
    public void periodicReport() {
        byte reason = 0;
        rep = new Report(reason, type, value);
        reportHandler.send(rep);
    }

    // 3.A.
    public void checkThresholds() {
        byte reason;

        if ((aboveThr != 0) && (value > aboveThr)) {
            reason = 1;
            rep = new Report(reason, type, value);
            reportHandler.send(rep);
        }

        if ((belowThr != 0) && (value < belowThr)) {
            reason = 2;
            rep = new Report(reason, type, value);
            reportHandler.send(rep);
        }
    }

    public byte getType() {
        return type;
    }

    public short getValue() {
        return value;
    }
}


//~ Formatted by Jindent --- http://www.jindent.com
