public class Main {
    private static short           aboveThr;
    private static short           belowThr;
    private static CommandsHandler cmdHandler;
    private static EventsHandler   evHandler;
    private static short           interval;
    private static Monitor         monitor;
    private static byte            type;

    public static void main(String[] args) {
        short   measuringPeriod = 1000;
        boolean toolOrAPI       = true;

        evHandler  = new EventsHandler();
        monitor    = new Monitor(measuringPeriod, toolOrAPI, evHandler);
        cmdHandler = new CommandsHandler(monitor);

        // Parametru tip 1 - mon. prag inf.
        type     = 1;
        interval = 0;
        aboveThr = 200;
        belowThr = 0;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);

        // Parametru tip 2 - mon. prag sup.
        type     = 2;
        interval = 0;
        aboveThr = 0;
        belowThr = 100;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);

        // Parametru tip 3 - mon. periodica
        type     = 3;
        interval = 5000;
        aboveThr = 0;
        belowThr = 0;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);

        // Parametru tip 4 - mon. prag sup.+inf.
        type     = 4;
        interval = 0;
        aboveThr = 200;
        belowThr = 100;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);

        // Parametru tip 5 - mon. prag sup.+per.
        type     = 5;
        interval = 6000;
        aboveThr = 200;
        belowThr = 0;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);

        // Parametru tip 6 - mon. prag inf.+per.
        type     = 6;
        interval = 7000;
        aboveThr = 0;
        belowThr = 100;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);

        // Parametru tip 7 - mon. prag inf.+sup.+per.
        type     = 7;
        interval = 11000;
        aboveThr = 200;
        belowThr = 100;
        cmdHandler.configureParameter(type, interval, aboveThr, belowThr);
    }
}


//~ Formatted by Jindent --- http://www.jindent.com
